<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<?php do_action( 'lz_one_page_above_slider' ); ?>

<?php if( get_theme_mod('lz_one_page_slider_hide_show',false) != false){ ?>	
	<section id="slider">
	  	<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
		    <?php $lz_one_page_slider_pages = array();
		      	for ( $count = 1; $count <= 4; $count++ ) {
			        $mod = intval( get_theme_mod( 'lz_one_page_slider' . $count ));
			        if ( 'page-none-selected' != $mod ) {
			          	$lz_one_page_slider_pages[] = $mod;
			        }
		      	}
		      	if( !empty($lz_one_page_slider_pages) ) :
		        $args = array(
		          	'post_type' => 'page',
		          	'post__in' => $lz_one_page_slider_pages,
		          	'orderby' => 'post__in'
		        );
		        $query = new WP_Query( $args );
		        if ( $query->have_posts() ) :
		          $i = 1;
		    ?>     
		    <div class="carousel-inner" role="listbox">
		      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
		        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
		          	<?php the_post_thumbnail(); ?>
		          	<div class="carousel-caption">
			            <div class="inner_carousel">
			              	<h1><?php the_title(); ?></h1>
			              	<p><?php $excerpt = get_the_excerpt(); echo esc_html( lz_one_page_string_limit_words( $excerpt,15 ) ); ?></p>	
			              	<div class="read-btn">
				              <a href="<?php the_permalink(); ?>" class="" title="<?php esc_attr_e( 'READ MORE', 'lz-one-page' ); ?>"><?php esc_html_e('READ MORE','lz-one-page'); ?>
				              </a>
				            </div>
			            </div>
		          	</div>
		        </div>
		      	<?php $i++; endwhile; 
		      	wp_reset_postdata();?>
		    </div>
		    <?php else : ?>
		    <div class="no-postfound"></div>
		      <?php endif;
		    endif;?>
		    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
		      <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
		    </a>
		    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
		      <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
		    </a>
	  	</div>  
	  	<div class="clearfix"></div>
	</section>
<?php }?>

<?php do_action('lz_one_page_below_slider'); ?>

<?php /*--our-services --*/?>
<?php if( get_theme_mod('lz_one_page_about_title') != '' || get_theme_mod( 'lz_one_page_post' )!= ''){ ?>
	<section id="aboutus" class="py-5">
		<div class="container">
	        <?php
	        $lz_one_page_postData =  get_theme_mod('lz_one_page_post');
	        if($lz_one_page_postData){
	          	$args = array( 'name' => esc_html($lz_one_page_postData ,'lz-one-page'));
	          	$query = new WP_Query( $args );
	          	if ( $query->have_posts() ) :
		            while ( $query->have_posts() ) : $query->the_post(); ?>
			            <div class="row">
			              	<div class="col-lg-6 col-md-6 px-xl-5">
			                  	<div class="img-about">
			                  		<?php if(has_post_thumbnail()) { ?>
			                  			<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
			                  		<?php } ?>
			                  	</div>
		                  		<?php if( get_theme_mod('lz_one_page_small_image') != ''){ ?>
					                <div class="small-img">
					                	<img src="<?php echo esc_url(get_theme_mod('lz_one_page_small_image','')); ?>" alt="<?php esc_attr_e( 'Small Image','lz-one-page' );?>">
					                </div>
					            <?php }?>
			                </div>
			                <div class="col-lg-6 col-md-6">
						        <?php if( get_theme_mod('lz_one_page_about_title') != ''){ ?>
						        	<p class="small-title"><?php echo esc_html(get_theme_mod('lz_one_page_about_title','')); ?></p>
						        <?php }?>
				                <div class="text-aboutus">
				                    <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				                    <p><?php the_excerpt(); ?></p>
				                </div>
			                </div>
			            </div>
		            <?php endwhile; 
	            wp_reset_postdata();?>
	            <?php else : ?>
	              	<div class="no-postfound"></div>
	            <?php
	        endif;} ?>  
	    </div>
	</section>
<?php }?>

<?php do_action('lz_one_page_below_our_service_section'); ?>

<div class="container lz-content">
  	<?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
</div>

<?php get_footer(); ?>